Skip to main content
GET
/
gpus
/
v2
/
jobs
List Jobs
curl --request GET \
  --url https://api.novita.ai/gpus/v2/jobs \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.novita.ai/gpus/v2/jobs"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.novita.ai/gpus/v2/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "job-id",
      "type": "saveImage",
      "envs": [],
      "status": {
        "status": "Running",
        "error": "",
        "message": ""
      },
      "log": "<string>",
      "created_at": 1714982400,
      "member_id": "member-id",
      "owner_id": "owner-id",
      "deleted_time": 0,
      "update_at": 1714982600,
      "instance_id": "instance-id"
    }
  ],
  "next_cursor": "eyJpZCI6Im5leHQtcGFnZSJ9",
  "has_more": true
}

Headers

Authorization
string
required

Bearer authentication format, e.g.: Bearer {{API_KEY}}.

Query Parameters

limit
integer

Maximum number of items to return. Integer, value >= 0.

cursor
string

Cursor returned by the previous page. Leave empty for the first request. String, length: 0-1024 characters.

job_id
string

Filter by job ID.

type
string

Filter by job type, e.g.: saveImage, instanceMigrate, autoInstanceMigrate.

status
string

Filter by job status.

start_time
integer

Lower bound of the creation time range. Unix timestamp.

end_time
integer

Upper bound of the creation time range. Unix timestamp.

member_ids
string

Filter by creator member ID. Multiple IDs are comma-separated. Maps to member_id in the response.

Response

200 - application/json

OK

data
object[]

Job list

next_cursor
string

Cursor for the next page. Empty when no more data

Example:

"eyJpZCI6Im5leHQtcGFnZSJ9"

has_more
boolean

Whether more data is available

Example:

true

Last modified on June 23, 2026